petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectIncrementTabLevel

Sets the number of tabs that ASCII output for that object use based on the tablevel of another object. This should be called immediately after the object is created.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectIncrementTabLevel(PetscObject obj,PetscObject oldobj,PetscInt tab)

Not Collective Many br

### Input Parameter

| obj | - any PETSc object where we are changing the tab Many br
| oldobj | - the object providing the tab Many br
| tab | - the increment that is added to the old objects tab Many br

Many br

Notes: this is used to manage the output from options that are imbedded in other objects. For example Many brthe KSP object inside a SNES object. By indenting each lower level further the heirarchy of objects Many bris very clear. Many br

### See Also

PetscObjectSetLabLevel(), PetscObjectGetTabLevel()

Level:developer
Location:src/sys/objects/gcomm.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages